PLplot: PlDevice Class Reference

PLplot 5.15.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
PlDevice Class Reference

`#include "wxwidgets.h"`

Inheritance diagram for PlDevice:

## Public Member Functions
| PlDevice ()
virtual | ~PlDevice ()
virtual void | DrawLine (short x1a, short y1a, short x2a, short y2a)
virtual void | DrawPolyline (short *xa, short *ya, PLINT npts)
virtual void | ClearBackground (PLStream *pls, PLINT x1=-1, PLINT y1=-1, PLINT x2=-1, PLINT y2=-1)
virtual void | FillPolygon (PLStream *pls)
virtual void | SetWidth (PLStream *pls)
virtual void | SetColor (PLStream *pls)
virtual void | SetDC (PLStream *pls, wxDC *dc)
virtual void | EndPage (PLStream *pls)
virtual void | BeginPage (PLStream *pls)
virtual void | SetSize (PLStream *pls, int width, int height)
virtual void | FixAspectRatio (bool fix)
virtual void | Locate (PLStream *pls, PLGraphicsIn *graphicsIn)
virtual void | Flush (PLStream *pls)
virtual void | PreDestructorTidy (PLStream *pls)
virtual void | SetXorMode (bool on)
void | drawText (PLStream *pls, EscText *args)

## Private Member Functions
void | DrawTextLine (PLUNICODE *ucs4, int ucs4Len, wxCoord xOrigin, wxCoord yOrigin, wxCoord x, wxCoord y, PLFLT *transform, PLFLT baseFontSize, bool drawText, bool &underlined, PLUNICODE &fci, unsigned char red, unsigned char green, unsigned char blue, PLFLT alpha, wxCoord &textWidth, wxCoord &textHeight, wxCoord &textDepth)
virtual void | DrawTextSection (wxString section, wxCoord xOrigin, wxCoord yOrigin, wxCoord x, wxCoord y, PLFLT *transform, PLFLT scaledFontSize, bool drawText, bool underlined, PLUNICODE fci, unsigned char red, unsigned char green, unsigned char blue, PLFLT alpha, PLFLT &yScale, wxCoord &sectionWidth, wxCoord &sectionHeight, wxCoord &sectionDepth)

## Private Attributes
PLUNICODE | m_prevSymbol
PLFLT | m_prevBaseFontSize
PLINT | m_prevLevel
PLUNICODE | m_prevFci
wxCoord | m_prevSymbolWidth
wxCoord | m_prevSymbolHeight
wxCoord | m_prevSymbolDepth

## Detailed Description

Definition at line 81 of file wxwidgets.h.

## Constructor & Destructor Documentation

## ◆ PlDevice()

PlDevice::PlDevice | ( |  | ) |

Definition at line 64 of file wxwidgets_dev.cpp.

## ◆ ~PlDevice()

virtual PlDevice::~PlDevice | ( |  | ) |
| inlinevirtual

Definition at line 85 of file wxwidgets.h.

## Member Function Documentation

## ◆ BeginPage()

virtual void PlDevice::BeginPage | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 94 of file wxwidgets.h.

## ◆ ClearBackground()

virtual void PlDevice::ClearBackground | ( | PLStream * | pls,
|  | PLINT | x1 = `-1`,
|  | PLINT | y1 = `-1`,
|  | PLINT | x2 = `-1`,
|  | PLINT | y2 = `-1`
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 88 of file wxwidgets.h.

## ◆ DrawLine()

virtual void PlDevice::DrawLine | ( | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 86 of file wxwidgets.h.

## ◆ DrawPolyline()

virtual void PlDevice::DrawPolyline | ( | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 87 of file wxwidgets.h.

## ◆ drawText()

void PlDevice::drawText | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |

Definition at line 81 of file wxwidgets_dev.cpp.

## ◆ DrawTextLine()

void PlDevice::DrawTextLine | ( | PLUNICODE * | ucs4,
|  | int | ucs4Len,
|  | wxCoord | xOrigin,
|  | wxCoord | yOrigin,
|  | wxCoord | x,
|  | wxCoord | y,
|  | PLFLT * | transform,
|  | PLFLT | baseFontSize,
|  | bool | drawText,
|  | bool & | underlined,
|  | PLUNICODE & | fci,
|  | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | PLFLT | alpha,
|  | wxCoord & | textWidth,
|  | wxCoord & | textHeight,
|  | wxCoord & | textDepth
| ) |  |
| private

Definition at line 242 of file wxwidgets_dev.cpp.

## ◆ DrawTextSection()

virtual void PlDevice::DrawTextSection | ( | wxString | section,
|  | wxCoord | xOrigin,
|  | wxCoord | yOrigin,
|  | wxCoord | x,
|  | wxCoord | y,
|  | PLFLT * | transform,
|  | PLFLT | scaledFontSize,
|  | bool | drawText,
|  | bool | underlined,
|  | PLUNICODE | fci,
|  | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | PLFLT | alpha,
|  | PLFLT & | yScale,
|  | wxCoord & | sectionWidth,
|  | wxCoord & | sectionHeight,
|  | wxCoord & | sectionDepth
| ) |  |
| inlineprivatevirtual

Reimplemented in wxPLDevice.

Definition at line 105 of file wxwidgets.h.

## ◆ EndPage()

virtual void PlDevice::EndPage | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 93 of file wxwidgets.h.

## ◆ FillPolygon()

virtual void PlDevice::FillPolygon | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 89 of file wxwidgets.h.

## ◆ FixAspectRatio()

virtual void PlDevice::FixAspectRatio | ( | bool | fix | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 96 of file wxwidgets.h.

## ◆ Flush()

virtual void PlDevice::Flush | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 98 of file wxwidgets.h.

## ◆ Locate()

virtual void PlDevice::Locate | ( | PLStream * | pls,
|  | PLGraphicsIn * | graphicsIn
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 97 of file wxwidgets.h.

## ◆ PreDestructorTidy()

virtual void PlDevice::PreDestructorTidy | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 99 of file wxwidgets.h.

## ◆ SetColor()

virtual void PlDevice::SetColor | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 91 of file wxwidgets.h.

## ◆ SetDC()

virtual void PlDevice::SetDC | ( | PLStream * | pls,
|  | wxDC * | dc
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 92 of file wxwidgets.h.

## ◆ SetSize()

virtual void PlDevice::SetSize | ( | PLStream * | pls,
|  | int | width,
|  | int | height
| ) |  |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 95 of file wxwidgets.h.

## ◆ SetWidth()

virtual void PlDevice::SetWidth | ( | PLStream * | pls | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 90 of file wxwidgets.h.

## ◆ SetXorMode()

virtual void PlDevice::SetXorMode | ( | bool | on | ) |
| inlinevirtual

Reimplemented in wxPLDevice.

Definition at line 100 of file wxwidgets.h.

## Member Data Documentation

## ◆ m_prevBaseFontSize

PLFLT PlDevice::m_prevBaseFontSize
| private

Definition at line 108 of file wxwidgets.h.

## ◆ m_prevFci

PLUNICODE PlDevice::m_prevFci
| private

Definition at line 110 of file wxwidgets.h.

## ◆ m_prevLevel

PLINT PlDevice::m_prevLevel
| private

Definition at line 109 of file wxwidgets.h.

## ◆ m_prevSymbol

PLUNICODE PlDevice::m_prevSymbol
| private

Definition at line 107 of file wxwidgets.h.

## ◆ m_prevSymbolDepth

wxCoord PlDevice::m_prevSymbolDepth
| private

Definition at line 113 of file wxwidgets.h.

## ◆ m_prevSymbolHeight

wxCoord PlDevice::m_prevSymbolHeight
| private

Definition at line 112 of file wxwidgets.h.

## ◆ m_prevSymbolWidth

wxCoord PlDevice::m_prevSymbolWidth
| private

Definition at line 111 of file wxwidgets.h.

The documentation for this class was generated from the following files:

- wxwidgets.h
- wxwidgets_dev.cpp